## Apache Zeta Components Manual :: Docs For Class ezcImageWatermarkFilters

### ImageConversion::ezcImageWatermarkFilters

### Interface ezcImageWatermarkFilters

This interface has to implemented by ezcImageFilters classes to support watermark filters.

Source for this file: /ImageConversion/src/interfaces/watermark.php

Version: | //autogentag//

### Method Summary

public void | `watermarkAbsolute( $image , $posX , $posY , [ $width = false] , [ $height = false] )` Watermark filter.
public void | `watermarkPercent( $image , $posX , $posY , [ $size = false] )` Watermark filter.

### Methods

#### watermarkAbsolute

void watermarkAbsolute( string $image , int $posX , int $posY , [int|bool $width = false] , [int|bool $height = false] )

Watermark filter.

Places a watermark on the image. The file to use as the watermark image is given as $image. The $posX, $posY and $size values are given in pixel. The watermark appear at $posX, $posY in the destination image with a size of $size pixel. If $size is ommitted, the watermark image will not be resized.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$image` | string | The image file to use as the watermark
`$posX` | int | X position in the destination image in pixel.
`$posY` | int | Y position in the destination image in pixel.
`$width` | int|bool | Pixel size of the watermark, false to keep size.
`$height` | int|bool | Pixel size of the watermark, false to keep size.

##### Exceptions:

Type | Description
--- | ---
`ezcImageInvalidReferenceException` | If no valid resource for the active reference could be found.
`ezcImageFilterFailedException` | If the operation performed by the the filter failed.
`ezcBaseValueException` | If a submitted parameter was out of range or type.

#### watermarkPercent

void watermarkPercent( string $image , int $posX , int $posY , [int|bool $size = false] )

Watermark filter.

Places a watermark on the image. The file to use as the watermark image is given as $image. The $posX, $posY and $size values are given in percent, related to the destination image. A $size value of 10 will make the watermark appear in 10% of the destination image size. $posX = $posY = 10 will make the watermark appear in the top left corner of the destination image, 10% of its size away from its borders. If $size is ommitted, the watermark image will not be resized.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$image` | string | The image file to use as the watermark
`$posX` | int | X position in the destination image in percent.
`$posY` | int | Y position in the destination image in percent.
`$size` | int|bool | Percentage size of the watermark, false for none.

##### Exceptions:

Type | Description
--- | ---
`ezcImageInvalidReferenceException` | If no valid resource for the active reference could be found.
`ezcImageFilterFailedException` | If the operation performed by the the filter failed.
`ezcBaseValueException` | If a submitted parameter was out of range or type.

Documentation generated by phpDocumentor 1.4.3